<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/web/thymeleaf/layout"
    layout:decorate="layout">


<head>
    <meta charset="UTF-8">
    <title>Danh sách lớp học</title>

    <style>
        .table-striped>thead>tr>th {
            color: #CC8D0F;
            background-color: #FFF6DB;
        }

        .icon-group svg {
            margin-right: 10px;
        }

        .icon-group svg:last-child {
            margin-right: 0;
        }

        .custom-shadow {
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }

        .pagination .active .page-link {
            background-color: #F3BD50;
            color: white;
            border: none;

        }

        .pagination .page-link {
            color: black;
        }

    </style>
</head>

<body>
    <div layout:fragment="content">
        <div class="container">
            <nav class="navbar bg-body-tertiary">
                <div class="container-fluid">
                    <span class="navbar-brand mb-0 h1">Bảng thống kê lớp</span>
                </div>
            </nav>
            <div class="d-flex align-items-center justify-content-center">
                <form th:action="@{/class/search}" method="get" class="col-5">
                        <div class="d-flex align-items-center">
                            <div class="input-group">
                                <span class="input-group-text no-border-right">
                                    <svg width="18" height="21" viewBox="0 0 18 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M17.4938 17.999L13.3504 13.3232C14.2926 11.7447 14.7575 9.77245 14.5086 7.67089C14.0842 4.09628 11.4881 1.18729 8.31728 0.734283C3.60301 0.0611194 -0.361143 4.53456 0.235418 9.85448C0.636957 13.4342 3.21511 16.3662 6.38311 16.8428C8.24542 17.1236 9.9935 16.5992 11.392 15.5357L15.5354 20.2115C16.0761 20.8217 16.9529 20.8217 17.4936 20.2115C18.0338 19.6006 18.0338 18.6084 17.4938 17.999ZM2.91382 8.79198C2.91382 6.03495 4.90143 3.79198 7.34459 3.79198C9.78774 3.79198 11.7754 6.03495 11.7754 8.79198C11.7754 11.549 9.78774 13.792 7.34459 13.792C4.90143 13.792 2.91382 11.5498 2.91382 8.79198Z" fill="#F3BD50" />
                                    </svg>
                                </span>
                                <input type="text" class="form-control h50 no-border-left " placeholder="Tìm kiếm theo tên khoá học, mã lớp học" th:value="${name}" name="name">
                            </div>
                            <button type="submit" class="btn btn-warning btn-bg-ra text-white h50 text-nowrap m-3">Tìm kiếm</button>
                        </div>
                </form>
              
                
                </form>
                <div class="col-7 d-inline-block ">

                    <a th:href="@{/class/add}" class="btn border-warning text-warning me-2 h50">Nhập thêm lớp học</a>
                    <button class="btn "><svg width="50" height="50" viewBox="0 0 50 50" fill="none"
                            xmlns="http://www.w3.org/2000/svg">
                            <rect x="0.5" y="0.5" width="49" height="49" rx="4.5" stroke="#F3BD50" />
                            <path
                                d="M27.4328 31.3915C27.4328 31.8998 27.0995 32.5665 26.6745 32.8248L25.4995 33.5831C24.4078 34.2581 22.8911 33.4998 22.8911 32.1498V27.6915C22.8911 27.0998 22.5578 26.3415 22.2161 25.9248L19.0161 22.5581C18.5911 22.1331 18.2578 21.3831 18.2578 20.8748V18.9415C18.2578 17.9331 19.0162 17.1748 19.9412 17.1748H31.0578C31.9828 17.1748 32.7411 17.9331 32.7411 18.8581V20.7081C32.7411 21.3831 32.3161 22.2248 31.8995 22.6415"
                                stroke="#F3BD50" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round"
                                stroke-linejoin="round" />
                            <path
                                d="M28.8913 29.2664C30.364 29.2664 31.558 28.0725 31.558 26.5998C31.558 25.127 30.364 23.9331 28.8913 23.9331C27.4185 23.9331 26.2246 25.127 26.2246 26.5998C26.2246 28.0725 27.4185 29.2664 28.8913 29.2664Z"
                                stroke="#F3BD50" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                            <path d="M32.0579 29.7664L31.2246 28.9331" stroke="#F3BD50" stroke-width="1.5"
                                stroke-linecap="round" stroke-linejoin="round" />
                        </svg> </button>
                </div>
            </div>

            <div>
                <div class=""><b>Tất cả </b>/ Thùng rác</div>
                <table class="table table-striped table-hover text-center">
                    <thead>
                        <tr>
                            <th>Mã lớp học</th>
                            <th>Tên khoá học</th>
                            <th>Trạng thái</th>
                            <th>Sỉ số</th>
                            <th>Hình thức học</th>
                            <th>Ngày bắt đầu khoá</th>
                            <th>Thời gian học</th>
                            <th>Hành động</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="item :${listClass}">
                            <td th:text="${item.classCode}">1</td>
                            <td th:text="${item.methodCourse.course.name}">Chưa có</td>
                            <td th:text="${item.classStatus.name != null ? item.classStatus.name : ''}">Otto</td>
                            <td th:text="${item.numberOfStudents}">Otto</td>
                            <td th:text="${item.methodCourse.method.name}">Chưa có</td>
                            <td th:text="${#dates.format(item.startDate, 'yyyy/MM/dd')}">1</td>
                            <td>
                                <p th:text="${item.classSchedule}"></p>
                                <p th:text="${item.startHour +'-'+ item.endHour}"></p>
                            </td>
                            <td>
                                <div class="icon-group ">
                                    <svg width="36" height="30" viewBox="0 0 36 30" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M3.90039 15C3.90039 10.286 3.90039 7.92894 5.60893 6.46446C7.31748 5 10.0673 5 15.5671 5H21.4004C26.9001 5 29.65 5 31.3585 6.46446C33.0671 7.92894 33.0671 10.286 33.0671 15C33.0671 19.714 33.0671 22.0711 31.3585 23.5355C29.65 25 26.9001 25 21.4004 25H15.5671C10.0673 25 7.31748 25 5.60893 23.5355C3.90039 22.0711 3.90039 19.714 3.90039 15Z"
                                            stroke="#F3BD50" stroke-width="1.5" />
                                        <path
                                            d="M14.11 15C14.11 15.6904 13.4571 16.25 12.6517 16.25C11.8463 16.25 11.1934 15.6904 11.1934 15C11.1934 14.3096 11.8463 13.75 12.6517 13.75C13.4571 13.75 14.11 14.3096 14.11 15Z"
                                            fill="#F3BD50" />
                                        <path
                                            d="M19.9421 15C19.9421 15.6904 19.2892 16.25 18.4837 16.25C17.6783 16.25 17.0254 15.6904 17.0254 15C17.0254 14.3096 17.6783 13.75 18.4837 13.75C19.2892 13.75 19.9421 14.3096 19.9421 15Z"
                                            fill="#F3BD50" />
                                        <path
                                            d="M25.776 15C25.776 15.6904 25.1231 16.25 24.3177 16.25C23.5123 16.25 22.8594 15.6904 22.8594 15C22.8594 14.3096 23.5123 13.75 24.3177 13.75C25.1231 13.75 25.776 14.3096 25.776 15Z"
                                            fill="#F3BD50" />
                                    </svg>
                                    <a th:href="@{/class/edit/{id}(id=${item.id})}" class="text-decoration-none">
                                        <svg width="24" height="22" viewBox="0 0 24 22" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <path
                                                d="M20.6337 7.44384L15.5104 2.38082L17.1981 0.693151C17.6602 0.23105 18.228 0 18.9014 0C19.5741 0 20.1415 0.23105 20.6036 0.693151L22.2912 2.38082C22.7533 2.84292 22.9944 3.40066 23.0145 4.05403C23.0346 4.70659 22.8136 5.26393 22.3515 5.72603L20.6337 7.44384ZM18.8857 9.22192L6.10766 22H0.984375V16.8767L13.7625 4.09863L18.8857 9.22192Z"
                                                fill="#F3BD50" />
                                        </svg>
                                    </a>

                                    <a th:href="@{/class/delete/{id}(id=${item.id})}" class="text-decoration-none">
                                        <svg width="26" height="28" viewBox="0 0 26 28" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <g clip-path="url(#clip0_1546_2992)">
                                                <path
                                                    d="M1.01562 7.24789L2.65118 5.71053L4.84896 7.79263L5.20674 8.13158L6.48451 9.34211L21.4601 23.5295L24.0156 25.9505L22.3928 27.5L20.5273 25.7326C20.0928 26.0837 19.5434 26.2895 18.9045 26.2895H8.68229C7.27674 26.2895 6.12674 25.2 6.12674 23.8684V12.09L1.01562 7.24789ZM22.7378 5.71053V8.13158H8.45229L5.89674 5.71053H9.32118L10.599 4.5H16.9878L18.2656 5.71053H22.7378ZM21.4601 9.34211V20.4547L9.73007 9.34211H21.4601Z"
                                                    fill="#F3BD50" />
                                            </g>
                                            <defs>
                                                <clipPath id="clip0_1546_2992">
                                                    <rect width="25" height="27" fill="white"
                                                        transform="translate(0.015625 0.5)" />
                                                </clipPath>
                                            </defs>
                                        </svg>
                                    </a>

                                </div>

                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr class="bg-white border custom-shadow">
                            <td colspan="8">
                                <div class="pagination-wrapper d-flex align-items-center justify-content-between p-2">
                                    <div class="data-info">
                                        <p class="m-0">Hiển thị <span
                                                th:text="${listClass.number * listClass.size + 1}"></span>-
                                            <span
                                                th:text="${(listClass.number + 1) * listClass.size > listClass.totalElements ?
                                                     listClass.totalElements : (listClass.number + 1) * listClass.size}">10</span>
                                            trong
                                            <span th:text="${listClass.totalElements}"></span> dữ liệu
                                        </p>

                                    </div>
                                    <nav aria-label="Pagination">
                                        <ul class="pagination" th:if="${listClass.totalPages >1}">
                                            <li class="page-item" th:class="${listClass.first ? 'disabled' : ''}">
                                                <a th:if="${name != null}" class="page-link"
                                                    th:href="@{'/class/search?page=' + ${listClass.number} + '&name=' + ${name}}">&LeftAngleBracket;</a>
                                                <a th:unless="${name != null}" class="page-link"
                                                    th:href="@{'?page=' + ${listClass.number}}">&LeftAngleBracket;</a>
                                            </li>
                                            <li th:each="i : ${#numbers.sequence(0, listClass.totalPages - 1)}"
                                                th:class="${listClass.number == i ? 'active' : ''}">
                                                <a th:if="${name != null}" class="page-link"
                                                    th:href="@{'/class/search?page=' + (${i+1} ?: 1) + '&name=' + ${name}}"
                                                    th:text="${i+1}"></a>
                                                <a th:unless="${name != null}" class="page-link"
                                                    th:href="@{'?page=' + ${i+1}} " th:text="${i}+1"></a>
                                            </li>
                                            <li class="page-item" th:class="${listClass.last ? 'disabled' : ''}">
                                                <a th:if="${name != null}" class="page-link"
                                                    th:href="@{'/class/search?page=' + ${listClass.number + 2} + '&name=' + ${name}}">&RightAngleBracket;</a>
                                                <a th:unless="${name != null}" class="page-link"
                                                    th:href="@{'?page=' + ${listClass.number + 2}}">&RightAngleBracket;</a>
                                            </li>
                                        </ul>
                                    </nav>
                                </div>
                            </td>
                        </tr>
                    </tfoot>
                </table>
            </div>

            <div aria-live="polite" aria-atomic="true" class="position-fixed top-0 end-0 p-3">
                <div class="toast bg-toast text-toast" id="createSuccess" role="alert" aria-live="assertive"
                    aria-atomic="true" data-bs-autohide="true" data-bs-delay="3000">
                    <div class="toast-body d-flex justify-content-between align-items-center">
                        <div class="bg-toast">
                            <svg width="39" height="35" viewBox="0 0 39 35" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <mask id="mask0_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0"
                                    y="0" width="39" height="35">
                                    <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                                </mask>
                                <g mask="url(#mask0_2355_3045)">
                                    <path
                                        d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827Z"
                                        fill="#00b074" />
                                    <path
                                        d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827ZM19.3562 29.166C22.8503 29.166 25.8098 28.0358 28.2348 25.7754C30.6598 23.515 31.8723 20.7563 31.8723 17.4993C31.8723 14.2424 30.6598 11.4837 28.2348 9.22331C25.8098 6.96289 22.8503 5.83268 19.3562 5.83268C15.8621 5.83268 12.9025 6.96289 10.4775 9.22331C8.05249 11.4837 6.83998 14.2424 6.83998 17.4993C6.83998 20.7563 8.05249 23.515 10.4775 25.7754C12.9025 28.0358 15.8621 29.166 19.3562 29.166Z"
                                        fill="#00b074" />
                                </g>
                                <mask id="mask1_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0"
                                    y="0" width="39" height="35">
                                    <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                                </mask>
                                <g mask="url(#mask1_2355_3045)">
                                    <path
                                        d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                        fill="#00FF00" />
                                    <path
                                        d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                        fill="white" />
                                </g>
                            </svg>
                        </div>
                        <div class="toast-content flex-grow-1 d-flex align-items-center justify-content-center">
                            <p>Thêm mới lớp học thành công</p>
                        </div>
                        <button type="button" class="btn-close text-toast" data-bs-dismiss="toast"
                            aria-label="Close"></button>
                    </div>
                </div>

            </div>
            <div aria-live="polite" aria-atomic="true" class="position-fixed top-0 end-0 p-3">
                <div class="toast bg-toast text-toast" id="updateSuccess" role="alert" aria-live="assertive"
                    aria-atomic="true" data-bs-autohide="true" data-bs-delay="3000">
                    <div class="toast-body d-flex justify-content-between align-items-center">
                        <div class="bg-toast">
                            <svg width="39" height="35" viewBox="0 0 39 35" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <mask id="mask0_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0"
                                    y="0" width="39" height="35">
                                    <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                                </mask>
                                <g mask="url(#mask0_2355_3045)">
                                    <path
                                        d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827Z"
                                        fill="#00b074" />
                                    <path
                                        d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827ZM19.3562 29.166C22.8503 29.166 25.8098 28.0358 28.2348 25.7754C30.6598 23.515 31.8723 20.7563 31.8723 17.4993C31.8723 14.2424 30.6598 11.4837 28.2348 9.22331C25.8098 6.96289 22.8503 5.83268 19.3562 5.83268C15.8621 5.83268 12.9025 6.96289 10.4775 9.22331C8.05249 11.4837 6.83998 14.2424 6.83998 17.4993C6.83998 20.7563 8.05249 23.515 10.4775 25.7754C12.9025 28.0358 15.8621 29.166 19.3562 29.166Z"
                                        fill="#00b074" />
                                </g>
                                <mask id="mask1_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0"
                                    y="0" width="39" height="35">
                                    <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                                </mask>
                                <g mask="url(#mask1_2355_3045)">
                                    <path
                                        d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                        fill="#00FF00" />
                                    <path
                                        d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                        fill="white" />
                                </g>
                            </svg>
                        </div>
                        <div class="toast-content flex-grow-1 d-flex align-items-center justify-content-center">
                            <p>Cập nhật thông tin lớp học thành công</p>
                        </div>
                        <button type="button" class="btn-close text-toast" data-bs-dismiss="toast"
                            aria-label="Close"></button>
                    </div>
                </div>

            </div>
            <div aria-live="polite" aria-atomic="true" class="position-fixed top-0 end-0 p-3">
                <div class="toast bg-toast text-toast" id="deleteSuccess" role="alert" aria-live="assertive"
                    aria-atomic="true" data-bs-autohide="true" data-bs-delay="3000">
                    <div class="toast-body d-flex justify-content-between align-items-center">
                        <div class="bg-toast">
                            <svg width="39" height="35" viewBox="0 0 39 35" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <mask id="mask0_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0"
                                    y="0" width="39" height="35">
                                    <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                                </mask>
                                <g mask="url(#mask0_2355_3045)">
                                    <path
                                        d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827Z"
                                        fill="#00b074" />
                                    <path
                                        d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827ZM19.3562 29.166C22.8503 29.166 25.8098 28.0358 28.2348 25.7754C30.6598 23.515 31.8723 20.7563 31.8723 17.4993C31.8723 14.2424 30.6598 11.4837 28.2348 9.22331C25.8098 6.96289 22.8503 5.83268 19.3562 5.83268C15.8621 5.83268 12.9025 6.96289 10.4775 9.22331C8.05249 11.4837 6.83998 14.2424 6.83998 17.4993C6.83998 20.7563 8.05249 23.515 10.4775 25.7754C12.9025 28.0358 15.8621 29.166 19.3562 29.166Z"
                                        fill="#00b074" />
                                </g>
                                <mask id="mask1_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0"
                                    y="0" width="39" height="35">
                                    <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                                </mask>
                                <g mask="url(#mask1_2355_3045)">
                                    <path
                                        d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                        fill="#00FF00" />
                                    <path
                                        d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                        fill="white" />
                                </g>
                            </svg>
                        </div>
                        <div class="toast-content flex-grow-1 d-flex align-items-center justify-content-center">
                            <p>Xóa thông tin lớp học thành công</p>
                        </div>
                        <button type="button" class="btn-close text-toast" data-bs-dismiss="toast"
                            aria-label="Close"></button>
                    </div>
                </div>

            </div>
        </div>
        <script>
            var urlParams = new URLSearchParams(window.location.search);
            if (urlParams.has('create-success')) {
                var toastEl = document.getElementById('createSuccess');
                var toast = new bootstrap.Toast(toastEl);
                toast.show();
            }
            if (urlParams.has('update-success')) {
                var toastEl = document.getElementById('updateSuccess');
                var toast = new bootstrap.Toast(toastEl);
                toast.show();
            }
            if (urlParams.has('delete-success')) {
                var toastEl = document.getElementById('deleteSuccess');
                var toast = new bootstrap.Toast(toastEl);
                toast.show();
            }
        </script>

    </div>

</body>

</html>